lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'swaggen/version'

Gem::Specification.new do |spec|
  spec.name          = 'swaggen'
  spec.version       = Swaggen::VERSION
  spec.authors       = ['Dimitri Koval']
  spec.email         = ['dkoval@heliostech.fr']

  spec.summary       = 'Swagger code generator written in Ruby'
  spec.description   = 'Swagger code generator written in Ruby'
  spec.homepage      = 'https://github.com/dkkoval/swaggen'
  spec.license       = 'GPLv3'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^spec/})
  end
  spec.bindir        = 'bin'
  spec.executables   = ['swaggen']
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
